Package org.zkoss.zel.impl.parser

## Class AstValue

- java.lang.Object
- - org.zkoss.zel.impl.lang.ELSupport
  - - org.zkoss.zel.impl.parser.SimpleNode
    - - org.zkoss.zel.impl.parser.AstValue

- All Implemented Interfaces:
    `Node`

      public final class AstValue
      extends SimpleNode

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `AstValue.Target` |

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zel.impl.parser.SimpleNode

      `children, id, image, parent`

    - ### Fields inherited from class org.zkoss.zel.impl.lang.ELSupport

      `COERCE_NULL_TO_NULL, COERCE_TO_ZERO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AstValue​(int id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MethodInfo` | `getMethodInfo​(EvaluationContext ctx, java.lang.Class[] paramTypes)` |
    `java.lang.Class<?>` | `getType​(EvaluationContext ctx)` |
    `java.lang.Object` | `getValue​(EvaluationContext ctx)` |
    `ValueReference` | `getValueReference​(EvaluationContext ctx)` |
    `java.lang.Object` | `invoke​(EvaluationContext ctx, java.lang.Class[] paramTypes, java.lang.Object[] paramValues)` |
    `boolean` | `isParametersProvided()` |
    `boolean` | `isReadOnly​(EvaluationContext ctx)` |
    `void` | `setValue​(EvaluationContext ctx, java.lang.Object value)` |

    - ### Methods inherited from class org.zkoss.zel.impl.parser.SimpleNode

      `accept, equals, getImage, hashCode, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetNumSiblings, jjtGetParent, jjtOpen, jjtSetParent, setImage, toString`

    - ### Methods inherited from class org.zkoss.zel.impl.lang.ELSupport

      `coerceToBoolean, coerceToDateTime, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, coerceToTypeForSetValue, compare, equals, isBigDecimalOp, isBigIntegerOp, isDateTimeType, isDoubleOp, isLongOp, isStringFloat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AstValue

          public AstValue​(int id)

  - ### Method Detail

    - #### getType

          public java.lang.Class<?> getType​(EvaluationContext ctx)
                                     throws ELException

      Specified by:
        `getType` in interface `Node`
      Overrides:
        `getType` in class `SimpleNode`
      Throws:
        `ELException`

    - #### getValue

          public java.lang.Object getValue​(EvaluationContext ctx)
                                    throws ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `ELException`

    - #### isReadOnly

          public boolean isReadOnly​(EvaluationContext ctx)
                             throws ELException

      Specified by:
        `isReadOnly` in interface `Node`
      Overrides:
        `isReadOnly` in class `SimpleNode`
      Throws:
        `ELException`

    - #### setValue

          public void setValue​(EvaluationContext ctx,
                               java.lang.Object value)
                        throws ELException

      Specified by:
        `setValue` in interface `Node`
      Overrides:
        `setValue` in class `SimpleNode`
      Throws:
        `ELException`

    - #### getMethodInfo

          public MethodInfo getMethodInfo​(EvaluationContext ctx,
                                          java.lang.Class[] paramTypes)
                                   throws ELException

      Specified by:
        `getMethodInfo` in interface `Node`
      Overrides:
        `getMethodInfo` in class `SimpleNode`
      Throws:
        `ELException`

    - #### invoke

          public java.lang.Object invoke​(EvaluationContext ctx,
                                         java.lang.Class[] paramTypes,
                                         java.lang.Object[] paramValues)
                                  throws ELException

      Specified by:
        `invoke` in interface `Node`
      Overrides:
        `invoke` in class `SimpleNode`
      Throws:
        `ELException`

    - #### getValueReference

          public ValueReference getValueReference​(EvaluationContext ctx)

      Specified by:
        `getValueReference` in interface `Node`
      Overrides:
        `getValueReference` in class `SimpleNode`
      Since:
        EL 2.2

    - #### isParametersProvided

          public boolean isParametersProvided()

      Specified by:
        `isParametersProvided` in interface `Node`
      Overrides:
        `isParametersProvided` in class `SimpleNode`
      Since:
        EL 2.2